Jump to content

al12s

Forum Members
  • Posts

    22
  • Joined

  • Last visited

Everything posted by al12s

  1. Удалил PyTurboJPEG==1.5.2, установил python3-pyturbojpeg ошибки пропали, HA заработал стабильно, но теперь в логах появились ошибки Logger: homeassistant.components.camera.img_util Source: deps/lib/python3.9/site-packages/turbojpeg.py:492 Integration: Камера (documentation, issues) First occurred: 12:41:01 (1 occurrences) Last logged: 12:41:01 Error loading libturbojpeg; Cameras may impact HomeKit performance Traceback (most recent call last): File "/opt/lib/python3.9/site-packages/homeassistant/components/camera/img_util.py", line 96, in __init__ File "/opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/turbojpeg.py", line 148, in __init__ self.__find_turbojpeg() if lib_path is None else lib_path) File "/opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/turbojpeg.py", line 492, in __find_turbojpeg raise RuntimeError( RuntimeError: Unable to locate turbojpeg library automatically. You may specify the turbojpeg library path manually. e.g. jpeg = TurboJPEG(lib_path)
  2. Эту проблему решил, версия самого девайса Xiaomi Gateway 3 была 1.4.6_0012 — рекомендована AlexxIT, и в этом крылась проблема, обновил до 1.5.0_0102 — рекомендована AlexxIT и все прекрасно завелось.
  3. Если зайти в сам датчик в настройки - зависимости, то у него стоит две интеграции, хотя физически от первого Xiaomi Gateway он отвязан, да забыл уточнить, датчик bluetooth.
  4. Подскажите пожалуйста, датчик перенес с одного Xiaomi gateway 3 на другой, физически на первом Xiaomi Gateway 3 его нет, но HA в списке устройство в ячейке интеграция выводить и на первой и второй интеграции. Как отвязать его в HA от первого Xiaomi Gateway 3?
  5. при установке с "нуля" этот пакет не устанавливается. так же при установки с "нуля" после запуска в log ошибка Unable to install package python-miio==0.5.6, хотя установлен python-miio==0.5.8, с ним не работает?
  6. TheBB, спасибо за обновление, После обновления в логах появилась ошибка на PyTurboJPEG==1.5.2 и очень долго загружался HA. После pip3 install PyTurboJPEG==1.5.2 ошибка в логах пропала и все заработало как надо.
  7. Добрый день, имеем ultra с 192.168.1.1 он же в качестве сервера WG, и клиент WG на Extra c 192.168.2.1 в сети 192.168.2.1 есть устройство с ip 192.168.2.2 к которому необходимо подключаться из 192.168.1.х через WG тунель, но при попытке подключения по UDP устройство обрубает соединения в виду того, что исходящее подключение приходит с 192.168.1.х. Как замаскировать так, что бы устройство думало что подключения приходят с 192.168.2.х?
  8. echo "src/gz ha http://bin.entware.net/mipselsf-k3.4/test/HA" >> /opt/etc/opkg.conf opkg update opkg install gcc ldd make gawk sed patch diffutils coreutils-install libffi source /opt/bin/gcc_env.sh opkg install homeassistant ~ # /opt/etc/init.d/S99hass start Starting hass... done. ~ # /opt/etc/init.d/S99hass status Checking hass... dead. ~ # hass --debug -c /opt/var/lib/homeassistant Traceback (most recent call last): File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve pkg_resources.ContextualVersionConflict: (requests 2.26.0 (/opt/lib/python3.9/site-packages), Requirement.parse('requests==2.25.1'), {'homeassistant'}) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/bin/hass", line 33, in <module> sys.exit(load_entry_point('homeassistant==2021.8.6', 'console_scripts', 'hass')()) File "/opt/lib/python3.9/site-packages/homeassistant/__main__.py", line 280, in main File "/opt/lib/python3.9/site-packages/homeassistant/__main__.py", line 61, in get_arguments File "/opt/lib/python3.9/site-packages/homeassistant/config.py", line 18, in <module> File "/opt/lib/python3.9/site-packages/homeassistant/auth/__init__.py", line 18, in <module> File "/opt/lib/python3.9/site-packages/homeassistant/auth/mfa_modules/__init__.py", line 12, in <module> File "/opt/lib/python3.9/site-packages/homeassistant/requirements.py", line 13, in <module> File "/opt/lib/python3.9/site-packages/homeassistant/util/package.py", line 13, in <module> File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module> File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements File "/opt/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve pkg_resources.DistributionNotFound: The 'requests==2.25.1' distribution was not found and is required by homeassistant после pip install requests==2.25.1 выдает еще ошибки в версиях компонентов, устанавливал... ничего не выходит
  9. Решил на тестовом устройстве выполнить установку с 0... все по пунктам в итоге HASS не запускается вообще. Видимо какие-то обновления вышли, а HASS нет.
  10. Добрый день, пытаюсь автоматизироваться в Xiaomi_miio, указываю логин, пароль, сервер... и после повержения выскакивает: Unknown error occurred а в логах пишет: Logger: aiohttp.server Source: deps/lib/python3.9/site-packages/tzlocal/unix.py:156 First occurred: 12:15:26 (6 occurrences) Last logged: 12:26:01 Error handling request Traceback (most recent call last): File "/opt/lib/python3.9/site-packages/aiohttp/web_protocol.py", line 422, in _handle_request File "/opt/lib/python3.9/site-packages/aiohttp/web_app.py", line 499, in _handle File "/opt/lib/python3.9/site-packages/aiohttp/web_middlewares.py", line 119, in impl File "/opt/lib/python3.9/site-packages/homeassistant/components/http/security_filter.py", line 60, in security_filter_middleware File "/opt/lib/python3.9/site-packages/homeassistant/components/http/forwarded.py", line 77, in forwarded_middleware File "/opt/lib/python3.9/site-packages/homeassistant/components/http/request_context.py", line 24, in request_context_middleware File "/opt/lib/python3.9/site-packages/homeassistant/components/http/ban.py", line 78, in ban_middleware File "/opt/lib/python3.9/site-packages/homeassistant/components/http/auth.py", line 144, in auth_middleware File "/opt/lib/python3.9/site-packages/homeassistant/components/http/view.py", line 135, in handle File "/opt/lib/python3.9/site-packages/homeassistant/components/config/config_entries.py", line 155, in post File "/opt/lib/python3.9/site-packages/homeassistant/components/http/data_validator.py", line 63, in wrapper File "/opt/lib/python3.9/site-packages/homeassistant/helpers/data_entry_flow.py", line 109, in post File "/opt/lib/python3.9/site-packages/homeassistant/data_entry_flow.py", line 202, in async_configure File "/opt/lib/python3.9/site-packages/homeassistant/data_entry_flow.py", line 260, in _async_handle_step File "/opt/lib/python3.9/site-packages/homeassistant/components/xiaomi_miio/config_flow.py", line 232, in async_step_cloud File "/opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/micloud/micloud.py", line 38, in __init__ timezone = datetime.datetime.now(tzlocal.get_localzone()).strftime('%z') File "/opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/tzlocal/unix.py", line 165, in get_localzone _cache_tz = _get_localzone() File "/opt/var/lib/homeassistant/deps/lib/python3.9/site-packages/tzlocal/unix.py", line 156, in _get_localzone return pytz.tzfile.build_tzinfo('local', tzfile) File "/opt/lib/python3.9/site-packages/pytz/tzfile.py", line 28, in build_tzinfo struct.error: unpack requires a buffer of 44 bytes Помогите советом, что может быть не так. Заранее спасибо.
  11. обновился без ошибок, полет нормальный. Спасибо.
  12. Скриншот с папки /opt/var/lib/homeassistant, видимо она и есть config? именно дословно название папки "config" у меня нет. Создал в этой папке /opt/var/lib/homeassistant папку www, скопировал в нее изображение. Пробую открыть http://192.168.1.ххх:8123/config/www/test.jpg, открывается левое меню и все
  13. Спасибо, помогло, с первого раза только по вашим командам не вышло, добаивил еще команду source /opt/bin/gcc_env.sh и все завелось!
  14. Добрый день, присоединяюсь к вопросу. Но не совсем по этой теме, интересует в какую папку можно положить изображение и потом его открыть через http://192.168.1.xxx:8123/, в интернете много информации по пути /config/www, но в реализации keenetic такого пути нет, перепробовал множество папок и урлов, ничего не выходит. Прошу помощи. Заранее спасибо.
  15. Спасибо, доходчиво объяснили в чем может быть проблема, но что делать с этим я не понял с pip только начал знакомство,
  16. это хорошо уже не знаю куда копать, помогите советом. Несколько раз все переустановил по инструкциям (с этой ветки форума), но все равно на этапе установки netifaces ... error
  17. Пытаюсь установить pip install python-miio==0.5.6, ничего не выходит. Running setup.py install for netifaces ... error ERROR: Command errored out with exit status 1: command: /opt/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/opt/tmp/pip-install-64iorqlp/netifaces/setup.py'"'"'; __file__='"'"'/opt/tmp/pip-install-64iorqlp/netifaces/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /opt/tmp/pip-record-p6pujlyt/install-record.txt --single-version-externally-managed --compile --install-headers /opt/include/python3.9/netifaces cwd: /opt/tmp/pip-install-64iorqlp/netifaces/ Complete output (18 lines): running install running build running build_ext checking for getifaddrs...not found. checking for getnameinfo...not found. checking for socket IOCTLs...not found. checking for optional header files...none found. checking whether struct sockaddr has a length field...no. checking which sockaddr_xxx structs are defined...none! checking for routing socket support...no. checking for sysctl(CTL_NET...) support...no. checking for netlink support...no. building 'netifaces' extension gcc -Wno-unused-result -Wsign-compare -DNDEBUG -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -fmacro-prefix-map=/work/testing/9999/build_dir/target-mipsel_mips32r2_glibc-2.27/Python-3.9.4=Python-3.9.4 -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -fmacro-prefix-map=/work/testing/9999/build_dir/target-mipsel_mips32r2_glibc-2.27/Python-3.9.4=Python-3.9.4 -DNDEBUG -fno-inline -pthread -O2 -pipe -mno-branch-likely -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -msoft-float -fmacro-prefix-map=/work/testing/9999/build_dir/target-mipsel_mips32r2_glibc-2.27/Python-3.9.4=Python-3.9.4 -DNDEBUG -fno-inline -pthread -I/work/testing/9999/staging_dir/toolchain-mipsel_mips32r2_gcc-8.4.0_glibc-2.27/include -fPIC -DNETIFACES_VERSION=0.11.0 -I/opt/include/python3.9 -c netifaces.c -o build/temp.linux-mips-3.9/netifaces.o gcc: error: unrecognized command line option '-fmacro-prefix-map=/work/testing/9999/build_dir/target-mipsel_mips32r2_glibc-2.27/Python-3.9.4=Python-3.9.4' gcc: error: unrecognized command line option '-fmacro-prefix-map=/work/testing/9999/build_dir/target-mipsel_mips32r2_glibc-2.27/Python-3.9.4=Python-3.9.4' gcc: error: unrecognized command line option '-fmacro-prefix-map=/work/testing/9999/build_dir/target-mipsel_mips32r2_glibc-2.27/Python-3.9.4=Python-3.9.4' error: command '/opt/bin/gcc' failed with exit code 1 ---------------------------------------- ERROR: Command errored out with exit status 1: /opt/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/opt/tmp/pip-install-64iorqlp/netifaces/setup.py'"'"'; __file__='"'"'/opt/tmp/pip-install-64iorqlp/netifaces/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /opt/tmp/pip-record-p6pujlyt/install-record.txt --single-version-externally-managed --compile --install-headers /opt/include/python3.9/netifaces Check the logs for full command output.
  18. Спасибо, возможно вы еще сможете подсказать... запускаю две команды opkg update (проходит хорошо), а потом: opkg upgrade Upgrading homeassistant on root from 2021.5.1-1 to 2021.5.5-1... Downloading http://bin.entware.net/mipselsf-k3.4/test/HA/homeassistant_2021.5.5-1_mipsel-3.4.ipk и висит на этом.....
  19. Добрый день, помогите с Passive BLE monitor выводит ошибку: FileNotFoundError: [Errno 2] No such file or directory: 'hciconfig'
×
×
  • Create New...